package eu.dnetlib.uoaadmintools.configuration.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.ArrayList;
import java.util.List;

@ConfigurationProperties("admintool.security")
public class SecurityConfig {

    private String userInfoUrl;
    private String originServer;
    private List<String> postsAllowed = new ArrayList<>();

    public void setUserInfoUrl(String userInfoUrl) {
        this.userInfoUrl = userInfoUrl;
    }

    public void setOriginServer(String originServer) {
        this.originServer = originServer;
    }


    public void setPostsAllowed(List<String> posts) {
        this.postsAllowed = posts;
    }

    public String getUserInfoUrl() {
        return userInfoUrl;
    }

    public String getOriginServer() {
        return originServer;
    }

    public List<String> getPostsAllowed() {
        return postsAllowed;
    }

}
